View Issue Details

IDProjectCategoryView StatusLast Update
0003045ThirdPartyPatchpublic2018-08-16 16:04
ReporterwyldckatAssigned Tohenry 
PrioritylowSeveritytextReproducibilityN/A
Status resolvedResolutionfixed 
Product Version6 
Fixed in Version6 
Summary0003045: README files have a few out-of-date links
DescriptionIn the README files for ThirdParty 6 and dev, there are a few links that are either outdated or broken.

Attached are the following files that fix them, along with changing to HTTPS those that can use that protocol + updating the dates:

 - ThirdParty-6:

   - README.org-OF6 - for updating the README.org file in ThirdParty-6.
   - README_update_v1-OF6.patch - diff file that shows the changes made.

 - ThirdParty-dev:

   - README.org-dev - for updating the README.org file in ThirdParty-dev.
   - README_update_v1-dev.patch - diff file that shows the changes made.


The FTP links are now set to using the HTTPS protocol, given that they both support that protocol and FTP, but also because it makes it a bit easier to simply click on them directly from the repository page, e.g. from here: https://github.com/OpenFOAM/ThirdParty-6/#versions-and-locations-to-download-the-third-party-packages
TagsNo tags attached.

Activities

wyldckat

2018-08-16 14:16

updater  

README.org-OF6 (2,683 bytes)

wyldckat

2018-08-16 14:16

updater  

README.org-dev (2,859 bytes)

wyldckat

2018-08-16 14:16

updater  

README_update_v1-dev.patch (2,998 bytes)
diff --git a/README.org b/README.org
index 17ba437..13433a9 100644
--- a/README.org
+++ b/README.org
@@ -1,11 +1,11 @@
 #                            -*- mode: org; -*-
 #
-#+TITLE:              OpenFOAM-dev Third-Party packages
+#+TITLE:              OpenFOAM-6 Third-Party packages
 #+AUTHOR:                  The OpenFOAM Foundation
-#+DATE:                       26th July 2017
+#+DATE:                       16th August 2018
 #+LINK:                     http://www.openfoam.org
 #+OPTIONS: author:nil ^:{}
-# Copyright (c) 2014-2016 OpenFOAM Foundation.
+# Copyright (c) 2014-2018 OpenFOAM Foundation.
 
 * Description
   Scripts for building third-party packages.
@@ -21,24 +21,24 @@
 * Versions and locations to download the third party packages
 *** Gcc C++ Compiler
     The minimum version of gcc required is 4.8.0
-    + gcc   http://gcc.gnu.org/releases.html
-    + gmp   http://gmplib.org/
-            ftp://ftp.gnu.org/gnu/gmp/gmp-5.1.2.tar.bz2
-    + mpfr  http://www.mpfr.org/
-            ftp://ftp.gnu.org/gnu/mpfr/mpfr-3.1.2.tar.bz2
+    + gcc   https://gcc.gnu.org/releases.html
+    + gmp   https://gmplib.org/
+            https://ftp.gnu.org/gnu/gmp/gmp-5.1.2.tar.bz2
+    + mpfr  https://www.mpfr.org/
+            https://ftp.gnu.org/gnu/mpfr/mpfr-3.1.2.tar.bz2
     + mpc   http://www.multiprecision.org/
-            http://www.multiprecision.org/mpc/download/mpc-1.0.1.tar.gz
+            https://ftp.gnu.org/gnu/mpc/mpc-1.0.1.tar.gz
 *** Parallel Processing
 ***** Scotch
       Scotch-6.0.3 is provided with ThirdParty-dev or the original source pack
       may be obtained from:
       + Scotch/PtScotch: https://gforge.inria.fr/frs/download.php/file/34099/scotch_6.0.3.tar.gz
 ***** OpenMPI
-      + OpenMPI: https://www.open-mpi.org/software/ompi/v2.1/downloads/openmpi-2.1.1.tar.bz2
+      + OpenMPI: https://www.open-mpi.org/software/ompi/v3.1/downloads/openmpi-3.1.1.tar.bz2
 *** ParaView
     If the system cmake version is < 3.3.0 you will need to download and build a
     recent version:
-    + cmake          http://www.cmake.org/files/v3.9/cmake-3.9.0.tar.gz
+    + cmake          https://www.cmake.org/files/v3.9/cmake-3.9.0.tar.gz
     Patched versions of the ParaView source code were once provided for ParaView
     v5.0.1.  With the current supported version of ParaView (v.5.4.0), the
     source code
@@ -52,8 +52,8 @@
     + wmRefresh
 *** CGAL
     + CGAL        https://github.com/CGAL/cgal/releases/download/releases%2FCGAL-4.10/CGAL-4.10.tar.xz
-    + boost       http://sourceforge.net/projects/boost/files/boost/1.55.0/boost_1_55_0.tar.bz2/download
+    + boost       https://sourceforge.net/projects/boost/files/boost/1.55.0/boost_1_55_0.tar.bz2/download
 *** Miscellaneous
-    + libccmio    http://portal.nersc.gov/svn/visit/trunk/third_party/libccmio-2.6.1.tar.gz
+    + libccmio    https://portal.nersc.gov/svn/visit/trunk/third_party/libccmio-2.6.1.tar.gz
 
 # --------------------------------------------------------------------------

wyldckat

2018-08-16 14:16

updater  

README_update_v1-OF6.patch (2,773 bytes)
diff --git a/README.org b/README.org
index 42f17b8..6998ed9 100644
--- a/README.org
+++ b/README.org
@@ -5,7 +5,7 @@
 #+DATE:                       10th July 2018
 #+LINK:                     http://www.openfoam.org
 #+OPTIONS: author:nil ^:{}
-# Copyright (c) 2014-2016 OpenFOAM Foundation.
+# Copyright (c) 2014-2018 OpenFOAM Foundation.
 
 * Description
   Scripts for building third-party packages.
@@ -21,24 +21,24 @@
 * Versions and locations to download the third party packages
 *** Gcc C++ Compiler
     The minimum version of gcc required is 4.8.0
-    + gcc   http://gcc.gnu.org/releases.html
-    + gmp   http://gmplib.org/
-            ftp://ftp.gnu.org/gnu/gmp/gmp-5.1.2.tar.bz2
-    + mpfr  http://www.mpfr.org/
-            ftp://ftp.gnu.org/gnu/mpfr/mpfr-3.1.2.tar.bz2
+    + gcc   https://gcc.gnu.org/releases.html
+    + gmp   https://gmplib.org/
+            https://ftp.gnu.org/gnu/gmp/gmp-5.1.2.tar.bz2
+    + mpfr  https://www.mpfr.org/
+            https://ftp.gnu.org/gnu/mpfr/mpfr-3.1.2.tar.bz2
     + mpc   http://www.multiprecision.org/
-            http://www.multiprecision.org/mpc/download/mpc-1.0.1.tar.gz
+            https://ftp.gnu.org/gnu/mpc/mpc-1.0.1.tar.gz
 *** Parallel Processing
 ***** Scotch
       Scotch-6.0.3 is provided with ThirdParty-6 or the original source pack
       may be obtained from:
       + Scotch/PtScotch: https://gforge.inria.fr/frs/download.php/file/34099/scotch_6.0.3.tar.gz
 ***** OpenMPI
-      + OpenMPI: https://www.open-mpi.org/software/ompi/v2.1/downloads/openmpi-2.1.1.tar.bz2
+      + OpenMPI: https://www.open-mpi.org/software/ompi/v2.1/downloads/openmpi-2.1.3.tar.bz2
 *** ParaView
     If the system cmake version is < 3.3.0 you will need to download and build a
     recent version:
-    + cmake          http://www.cmake.org/files/v3.9/cmake-3.9.0.tar.gz
+    + cmake          https://www.cmake.org/files/v3.9/cmake-3.9.0.tar.gz
     + ParaView-5.4.0 http://www.paraview.org/files/v5.4/ParaView-v5.4.0.tar.gz
     is downloaded automatically and compiles without modification.  ParaView is
     compiled by running the =makeParaView= script, i.e.
@@ -49,8 +49,8 @@
     + wmRefresh
 *** CGAL
     + CGAL        https://github.com/CGAL/cgal/releases/download/releases%2FCGAL-4.10/CGAL-4.10.tar.xz
-    + boost       http://sourceforge.net/projects/boost/files/boost/1.55.0/boost_1_55_0.tar.bz2/download
+    + boost       https://sourceforge.net/projects/boost/files/boost/1.55.0/boost_1_55_0.tar.bz2/download
 *** Miscellaneous
-    + libccmio    http://portal.nersc.gov/svn/visit/trunk/third_party/libccmio-2.6.1.tar.gz
+    + libccmio    https://portal.nersc.gov/svn/visit/trunk/third_party/libccmio-2.6.1.tar.gz
 
 # --------------------------------------------------------------------------

henry

2018-08-16 16:04

manager   ~0009964

Thanks Bruno

Resolved in ThirdParty-6 by commit 2cf38b0a5badb5a27254cbc0d91e96979e068e05
Resolved in ThirdParty-dev by commit ba45731880e703f5241251b13db3587a974a14af

Issue History

Date Modified Username Field Change
2018-08-16 14:16 wyldckat New Issue
2018-08-16 14:16 wyldckat Status new => assigned
2018-08-16 14:16 wyldckat Assigned To => henry
2018-08-16 14:16 wyldckat File Added: README.org-OF6
2018-08-16 14:16 wyldckat File Added: README.org-dev
2018-08-16 14:16 wyldckat File Added: README_update_v1-dev.patch
2018-08-16 14:16 wyldckat File Added: README_update_v1-OF6.patch
2018-08-16 16:04 henry Status assigned => resolved
2018-08-16 16:04 henry Resolution open => fixed
2018-08-16 16:04 henry Fixed in Version => 6
2018-08-16 16:04 henry Note Added: 0009964